// ModelessDemo.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "ModelessDemo.h"
#include "ModelessDemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CModelessDemoApp

BEGIN_MESSAGE_MAP(CModelessDemoApp, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// CModelessDemoApp construction

CModelessDemoApp::CModelessDemoApp()
: m_hAccel(NULL)
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CModelessDemoApp object

CModelessDemoApp theApp;


// CModelessDemoApp initialization

BOOL CModelessDemoApp::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();
	AfxInitRichEdit2();

	CWinApp::InitInstance();

	AfxEnableControlContainer();

  m_hAccel=LoadAccelerators(AfxGetInstanceHandle(), 
	  MAKEINTRESOURCE(IDR_ACCELERATOR1));


	CModelessDemoDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

BOOL CModelessDemoApp::ProcessMessageFilter(int code, LPMSG lpMsg)
{
  if (m_hAccel)
  {
    if (::TranslateAccelerator(m_pMainWnd->m_hWnd, m_hAccel, lpMsg)) 
      return(TRUE);
  }


  return CWinApp::ProcessMessageFilter(code, lpMsg);
}
