// ModelessDemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ModelessDemo.h"
#include "ModelessDemoDlg.h"

#include "afxpriv.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CAboutDlg dialog used for App About
// tma
static DWORD CALLBACK MyStreamInCallback(DWORD dwCookie, LPBYTE pbBuff, LONG cb, LONG *pcb)
{
  CFile* pFile = (CFile*) dwCookie;
  *pcb = pFile->Read(pbBuff, cb);
  return 0;
}

class CAboutDlg : public CIdleDlg
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
public:
  afx_msg void OnBnClickedOk();
};

CAboutDlg::CAboutDlg() : CIdleDlg(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CIdleDlg::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CIdleDlg)
  ON_BN_CLICKED(IDOK, OnBnClickedOk)
END_MESSAGE_MAP()


// CModelessDemoDlg dialog



CModelessDemoDlg::CModelessDemoDlg(CWnd* pParent /*=NULL*/)
	: CIdleDlg(CModelessDemoDlg::IDD, pParent)
  , m_findDlg(this)
  , m_strFilename(_T(""))
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CModelessDemoDlg::DoDataExchange(CDataExchange* pDX)
{
  CIdleDlg::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_RICHEDIT21, m_edtRTFDocument);
  DDX_Text(pDX, IDC_EDIT1, m_strFilename);
}

BEGIN_MESSAGE_MAP(CModelessDemoDlg, CIdleDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
  ON_BN_CLICKED(IDC_FIND, OnBnClickedFind)
  ON_BN_CLICKED(IDHELP, OnBnClickedHelp)
  ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedFileOpen)
  ON_MESSAGE(WM_FINDDATA, OnFindData)
  ON_MESSAGE(WM_DIALOGCLOSE, OnDialogClose)
	ON_UPDATE_COMMAND_UI(IDC_FIND, OnUpdateFind)
  ON_COMMAND(ID_ACCELERATOR32771, OnBnClickedFind)
END_MESSAGE_MAP()


// CModelessDemoDlg message handlers

BOOL CModelessDemoDlg::OnInitDialog()
{
	CIdleDlg::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

  return TRUE;  // return TRUE  unless you set the focus to a control
}

void CModelessDemoDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CIdleDlg::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CModelessDemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CIdleDlg::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CModelessDemoDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CModelessDemoDlg::OnBnClickedHelp()
{
  CAboutDlg().DoModal();
}

void CAboutDlg::OnBnClickedOk()
{
  CWaitCursor wait;

  CString strUrl = "http://www.thecodechannel.com/redirect.asp?u=/&s=vcnb";
  if (32 >= (int)ShellExecute(NULL, "open", strUrl, NULL, NULL, SW_SHOWNORMAL))
  {
    AfxMessageBox("::ShellExecute failed to open this link!");
  }
}

void CModelessDemoDlg::OnBnClickedFind()
{
  if (!m_findDlg.GetSafeHwnd())
  {
    m_findDlg.Create(IDD_FIND, this);
    m_findDlg.ShowWindow(SW_SHOW);
  }
  else
  {
    m_findDlg.SetFocus();
  }
}

void CModelessDemoDlg::OnBnClickedFileOpen()
{
  CFileDialog m_findDlg(TRUE);
  m_findDlg.m_ofn.lpstrFilter = "RTF Documents (*.RTF)\0*.rtf\0\0";
  if (IDOK == m_findDlg.DoModal())
  {
    if (IsValidFilename(m_findDlg.GetFileName()))
    {
      m_strFilename = m_findDlg.GetPathName();
      UpdateData(FALSE);
      ReadRTFDocument(m_strFilename);
    }
    else
    {
      AfxMessageBox("Invalid file name");
    }
  }
}

BOOL CModelessDemoDlg::IsValidFilename(CString const& strFilename)
{
  BOOL bSuccess = FALSE;
  if (4 < strFilename.GetLength())
  {
    CString str = strFilename.Right(4);
    if (0 == str.CompareNoCase(".RTF"))
      bSuccess = TRUE;
  }
  return bSuccess;
}

void CModelessDemoDlg::ReadRTFDocument(CString const& strFilename)
{
  CFile file(strFilename, CFile::modeRead);
  EDITSTREAM es;
  es.dwCookie = (DWORD) &file;
  es.pfnCallback = MyStreamInCallback; 
  m_edtRTFDocument.StreamIn(SF_RTF, es);
}

long CModelessDemoDlg::OnFindData(UINT wParam, LONG lParam)
{
  ASSERT(lParam);
  if (lParam)
  {
    FINDDATA* fd = (FINDDATA*)lParam;

    DWORD style = FR_DOWN;
    if (fd->m_fMatchCase) style |= FR_MATCHCASE;
    if (fd->m_fMatchWholeWord) style |= FR_WHOLEWORD;

    CPoint pos = m_edtRTFDocument.GetCaretPos();
    int currCh = m_edtRTFDocument.CharFromPos(pos);

    FINDTEXTEX fte;
    fte.chrg.cpMin = currCh;
    fte.chrg.cpMax = -1;

    fte.lpstrText = fd->m_strFindWhat ;

    long lResult = m_edtRTFDocument.FindText(style, &fte);
    if (-1 != lResult)
    {
      m_edtRTFDocument.SetFocus();
      m_edtRTFDocument.SetSel(fte.chrgText);
    }

    delete fd;
  }

  return 0;
}

long CModelessDemoDlg::OnDialogClose(UINT wParam, LONG lParam)
{
  ASSERT(m_findDlg.GetSafeHwnd());
  m_findDlg.DestroyWindow();
  return 0L;
}

void CModelessDemoDlg::OnUpdateFind(CCmdUI* pCmdUI)
{	
	pCmdUI->Enable(0 < m_strFilename.GetLength());
}

BOOL CModelessDemoDlg::PreTranslateMessage(MSG* pMsg)
{
  BOOL bHandledMsg = FALSE;

  if (WM_KEYDOWN == pMsg->message
  && VK_RETURN == pMsg->wParam)
  {

    pMsg->wParam = VK_TAB;
  }

  return CIdleDlg::PreTranslateMessage(pMsg);
}
